Package net.shibboleth.spring.http

# Class FileCachingHttpClientFactoryBean

java.lang.Object
net.shibboleth.shared.httpclient.HttpClientBuilder
net.shibboleth.shared.httpclient.FileCachingHttpClientBuilder
net.shibboleth.shared.spring.httpclient.factory.FileCachingHttpClientFactoryBean
net.shibboleth.spring.http.FileCachingHttpClientFactoryBean

All Implemented Interfaces:
  `DisposableBean`, `FactoryBean<org.apache.hc.client5.http.classic.HttpClient>`

public class FileCachingHttpClientFactoryBean extends FileCachingHttpClientFactoryBean
Factory bean customization for the Shibboleth IdP.

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`FileCachingHttpClientFactoryBean()`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.shared.spring.httpclient.factory.FileCachingHttpClientFactoryBean

`destroy, getObject, getObjectType, isSingleton`

### Methods inherited from class net.shibboleth.shared.httpclient.FileCachingHttpClientBuilder

`buildClient, decorateApacheBuilder, getCacheDirectory, getMaintentanceTaskInterval, getMaxCacheEntries, getMaxCacheEntrySize, setCacheDirectory, setCacheDirectory, setMaintentanceTaskInterval, setMaxCacheEntries, setMaxCacheEntrySize`

### Methods inherited from class net.shibboleth.shared.httpclient.HttpClientBuilder

`buildConnectionFactory, buildConnectionManager, buildDefaultConnectionConfig, buildDefaultCredentialsProvider, buildDefaultRequestConfig, buildRoutePlanner, getConnectionProxyHost, getConnectionProxyPassword, getConnectionProxyPort, getConnectionProxyUsername, getConnectionRequestTimeout, getConnectionTimeout, getFirstRequestInterceptors, getFirstResponseInterceptors, getHttpContentCharSet, getHttpRequestRetryStrategy, getLastRequestInterceptors, getLastResponseInterceptors, getMaxConnectionsPerRoute, getMaxConnectionsTotal, getRequestTimeout, getRequestTimeoutCorePoolSize, getResponseTimeout, getSchemePortResolver, getSocketBufferSize, getSocketLocalAddress, getSocketTimeout, getStaticContextHandlers, getTLSSocketFactory, getUserAgent, handleFluentProperties, isConnectionCloseAfterResponse, isConnectionDisregardTLSCertificate, isDisableAuthCaching, isDisableAutomaticRetries, isDisableConnectionState, isDisableContentCompression, isDisableCookieManagement, isDisableRedirectHandling, isEvictExpiredConnections, isEvictIdleConnections, isHttpFollowRedirects, isUseSystemProperties, resetDefaults, setConnectionCloseAfterResponse, setConnectionDisregardTLSCertificate, setConnectionMaxIdleTime, setConnectionProxyHost, setConnectionProxyPassword, setConnectionProxyPort, setConnectionProxyUsername, setConnectionRequestTimeout, setConnectionTimeout, setDisableAuthCaching, setDisableAutomaticRetries, setDisableConnectionState, setDisableContentCompression, setDisableCookieManagement, setDisableRedirectHandling, setEvictExpiredConnections, setEvictIdleConnections, setFirstRequestInterceptors, setFirstResponseInterceptors, setHttpContentCharSet, setHttpFollowRedirects, setHttpRequestRetryStrategy, setLastRequestInterceptors, setLastResponseInterceptors, setMaxConnectionsPerRoute, setMaxConnectionsTotal, setRequestTimeout, setRequestTimeoutCorePoolSize, setResponseTimeout, setSchemePortResolver, setSocketBufferSize, setSocketLocalAddress, setSocketLocalAddress, setSocketTimeout, setStaticContextHandlers, setTLSSocketFactory, setUserAgent, setUseSystemProperties, setValidateAfterInactivity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileCachingHttpClientFactoryBean

public FileCachingHttpClientFactoryBean()
Constructor.